/*
###########################################################################################################################################################################
# 
#  [DESCRIPTION]
#   Lazy Viewport Settings V1.5  A smal collection of various viewport view and settings tools Simplyfyed.
#
#  [INFO]
#   - Put the files in maxroot\scripts\ (e.g.: C:\3dsmax2012\Scripts\)
#   - Works with Max 2012 Only
#
#  [CREATION INFO]
#   Author: Raymond Homme Ingebretsen
#   Last Modified: Sep 25, 2011
#	Webpage: http://www.homme3d.com
#
###########################################################################################################################################################################
*/
	try (cui.unregisterDialogBar StylizedSettings) catch()
	try (destroyDialog StylizedSettings) catch()

---------------------------------------------------------
		rollout StylizedSettings "LVS"
		(
			button btn_Graphite "GRA" width:35 height:35 align:#left tooltip:#'Graphite' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,1,1,1,1) pos:[3,1]
			button btn_Pencil "PEN" width:35 height:35 align:#left tooltip:#'Pencil'  images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,2,2,2,2) pos:[3,36]
			button btn_Ink "INK" width:35 height:35 align:#left tooltip:#'Ink' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,3,3,3,3) pos:[3,71]
			button btn_ColInk "CIN"width:35 height:35 align:#left tooltip:#'ColInk' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,4,4,4,4) pos:[3,106]
			button btn_Acrylic "ACR" width:35 height:35 align:#left tooltip:#'Acrylic' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,5,5,5,5) pos:[3,141]
			button btn_Pastel "PAS" width:35 height:35 align:#left tooltip:#'Pastel' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,6,6,6,6) pos:[3,176]
			button btn_Tech "TEC" width:35 height:35 align:#left tooltip:#'Tech' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,7,7,7,7) pos:[3,211]
			button btn_Realistic "REL" width:35 height:35 align:#left tooltip:#'Realistic' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,8,8,8,8) pos:[3,246]
			button btn_Shaded "SHA" width:35 height:35 align:#left tooltip:#'Shaded' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,9,9,9,9) pos:[3,281]
			button btn_EdgedFace "EFA" width:35 height:35 align:#left tooltip:#'Edged Faces' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,10,10,10,10) pos:[3,316]
			
			button btn_DefSceneLight "IDL" width:35 height:35 align:#left tooltip:#'Illuminate with Default Lights' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,11,11,11,11) pos:[3,351]
			button btn_SceneLight "ISL" width:35 height:35 align:#left tooltip:#'Illuminate with Scene Lights' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,12,12,12,12) pos:[3,386]
			button btn_Shadows "SH" width:35 height:35 align:#left tooltip:#'Shadows On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,13,13,13,13) pos:[3,421]
			button btn_AmbientO "AO" width:35 height:35 align:#left tooltip:#'Ambient Occlusion On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,14,14,14,14) pos:[3,456]
			button btn_VLConfig "CLS" width:35 height:35 align:#left tooltip:#'Configure Lighting and Shadows' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,15,15,15,15) pos:[3,491]
			
			button btn_SafeFrame "SF" width:35 height:35 align:#left tooltip:#'Safe Frame On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,16,16,16,16) pos:[3,526]
			button btn_ViewStat "VS" width:35 height:35 align:#left tooltip:#'Viewport Statistic On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,17,17,17,17) pos:[3,561]
			button btn_ViewClipping "VC" width:35 height:35 align:#left tooltip:#'Viewport Clipping On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,18,18,18,18) pos:[3,596]
			button btn_ShowBG "SB" width:35 height:35 align:#left tooltip:#'Show BackGround On/Off' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,19,19,19,19) pos:[3,631]
			button btn_ViewportSettings "VBS" width:35 height:35 align:#left tooltip:#'Viewport Background Settings' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,20,20,20,20) pos:[3,666]
			
			button btn_OrtoView  "OV" width:35 height:35 align:#left tooltip:#'Orthographic View' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,21,21,21,21) pos:[3,701]
			button btn_PerspectiveView  "PV" width:35 height:35 align:#left tooltip:#'Perspective View' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,22,22,22,22) pos:[3,736]
			
			button btn_layout_1 "1VI" width:35 height:35 align:#left tooltip:#'1 viewport' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,23,23,23,23) pos:[3,771]
			button btn_layout_4 "4" width:35 height:35 align:#left tooltip:#'4 viewports, all same size' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,36,36,36,36) pos:[3,806]
			
			button btn_About "AB" width:35 height:35 align:#left tooltip:#'About' images:#("LVS_NamedIcons.bmp","LVS_NamedIcons.bmp",37,37,37,37,37) pos:[3,850]
-----------------------------------------------------------------------------------------------------------
--------------- Start Nitrous Viewport Styles
-----------------------------------------------------------------------------------------------------------
		
		on btn_Graphite pressed do
		(
			actionMan.executeAction 0 "613"  -- Nitrous Views: Nitrous Visual Style Graphite
		)      
		
		on btn_Pencil pressed do
		(
			actionMan.executeAction 0 "614"  -- Nitrous Views: Nitrous Visual Style Color Pencil
		)   
		
		on btn_Ink pressed do
		(
			actionMan.executeAction 0 "609"  -- Nitrous Views: Nitrous Visual Style Ink
		)   	
		
		on btn_ColInk pressed do
		(
			actionMan.executeAction 0 "610"  -- Nitrous Views: Nitrous Visual Style Color Ink
		)   
		
		on btn_Acrylic pressed do
		(
			actionMan.executeAction 0 "611"  -- Nitrous Views: Nitrous Visual Style Acrylic
		) 
		
		on btn_Pastel pressed do
		(
			actionMan.executeAction 0 "615"  -- Nitrous Views: Nitrous Visual Style Pastel
		)
		
		on btn_Tech pressed do
		(
			actionMan.executeAction 0 "612"  -- Nitrous Views: Nitrous Visual Style Tech
		)
		
		on btn_Realistic pressed do
		(
			actionMan.executeAction -844228238 "1"  -- Viewport Lighting and Shadows: Viewport Visual Style Realistic
		)
		
		on btn_Shaded pressed do
		(
			actionMan.executeAction 0 "550"  -- Views: Viewport Visual Style Shaded
		)
		
		on btn_EdgedFace pressed do
		(
			actionMan.executeAction 0 "557"  -- Views: Viewport Visual Style Edged Faces Toggle
		)

-----------------------------------------------------------------------------------------------------------
--------------- End Nitrous Viewport Styles
-----------------------------------------------------------------------------------------------------------
		
		
-----------------------------------------------------------------------------------------------------------
--------------- Start Viewport Settings Stuff
-----------------------------------------------------------------------------------------------------------		
		on btn_DefSceneLight pressed do
		(
			actionMan.executeAction -844228238 "7"  -- Viewport Lighting and Shadows: Viewport Lighting Illuminate with Default Lights
		)
			
		on btn_SceneLight pressed do
		(
			actionMan.executeAction -844228238 "6"  -- Viewport Lighting and Shadows: Viewport Lighting Illuminate with Scene Lights
		)
		
		on btn_Shadows pressed do
		(
			actionMan.executeAction -844228238 "5"  -- Viewport Lighting and Shadows: Viewport Shadows Toggle
		)
		
		on btn_AmbientO pressed do
		(
			actionMan.executeAction -844228238 "0"  -- Viewport Lighting and Shadows: Viewport Shadows Ambient Occlusion Toggle
		)
		
		on btn_VLConfig pressed do
		(
			actionMan.executeAction -844228238 "4"   -- Viewport Lighting and Shadows: Configure Lighting and Shadows
		)
		
		
		on btn_SafeFrame pressed do
		(
			actionMan.executeAction 0 "219" -- Tools: Show Safeframes Toggle      
		)
		
		on btn_ViewStat pressed do
		(
			actionMan.executeAction 0 "40829"  -- Tools: Show Statistics Toggle   
		)
		
		on btn_ViewClipping pressed do
		(
			actionMan.executeAction 0 "374" -- Tools: Viewport Clipping      
		)
		
		on btn_ShowBG pressed do
		(
			actionMan.executeAction 0 "342" -- Tools: Show Background Toggle
		)
		
		on btn_ViewportSettings pressed do
		(
			actionMan.executeAction 0 "40095" -- Views: Viewport Background Settings
		)
		
		on btn_OrtoView pressed do
		(
			actionMan.executeAction 0 "40183" -- Views: Orthographic User View 
			max vpt iso user
		)   
   
		on btn_PerspectiveView pressed do
		(
			actionMan.executeAction 0 "40182" -- Views: Perspective User View
			max vpt persp user
		)
-----------------------------------------------------------------------------------------------------------
--------------- End Viewport Settings Stuff
-----------------------------------------------------------------------------------------------------------
		
		
-----------------------------------------------------------------------------------------------------------
--------------- Start Viewport Layouts
-----------------------------------------------------------------------------------------------------------
		
		on btn_layout_1 pressed do
		(
			viewport.getLayout()   
			viewport.setLayout#layout_1
		)
		
		on btn_layout_4 pressed do
		(
			viewport.getLayout()   
			viewport.setLayout#layout_4
		)


-----------------------------------------------------------------------------------------------------------
--------------- End Viewport Layouts
-----------------------------------------------------------------------------------------------------------
		
		on btn_About pressed do
		(
		messagebox "
[DESCRIPTION]
Lazy Viewport Settings V1.5  A smal collection of various viewport view and settings tools Simplifyed.

[INFO]
- Put the files in maxroot\scripts\ (e.g.: C:\3dsmax2012\Scripts\)
- Works with Max 2012

[CREATION INFO]
Last Modified: Sep 25, 2011
Author: Raymond Homme Ingebretsen
Icons: Jeong-ho Kim
Webpage: http://www.homme3d.com

[History]
V1.0: MAX 2009 - 2011 (You can find this script at my webpage)
V1.1: MAX 2012 (Added Viewport Styles)
V1.2: Added Docking Functionality
V1.3: Optimized the script as an Vertical Icon based version
V1.4: Even more tiny toolbar + New Icons
V1.5: Added Edged Faces and Named Buttons + New Icons (Again)
")

---------------------------------------------------------
 )
createDialog StylizedSettings 40 900 150 50   -- 30 580 150 150


cui.RegisterDialogBar StylizedSettings minSize:[40,40] maxSize:[40,950] style:\
#(#cui_dock_vert, #cui_dock_left, #cui_dock_right, #cui_floatable,#cui_handles,#cui_max_sized)

-- Remove the "--" below if you want it to start docked at the left side.
cui.dockDialogBar StylizedSettings #cui_dock_left
